Package org.apache.tapestry5.upload.internal.services

## Class ParametersServletRequestWrapper

- java.lang.Object
- - javax.servlet.ServletRequestWrapper
  - - javax.servlet.http.HttpServletRequestWrapper
    - - org.apache.tapestry5.upload.internal.services.ParametersServletRequestWrapper

- All Implemented Interfaces:
    `HttpServletRequest`, `ServletRequest`

      public class ParametersServletRequestWrapper
      extends HttpServletRequestWrapper

  Wrapper for HttpServletRequest that overrides the parameter methods of the wrapped request. i.e. parameters are retrieved from the wrapper rather than the real request.

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParametersServletRequestWrapper​(HttpServletRequest httpServletRequest)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addParameter​(java.lang.String name, java.lang.String value)` |
    `java.lang.String` | `getParameter​(java.lang.String name)` |
    `java.util.Map<java.lang.String,​java.lang.String[]>` | `getParameterMap()` |
    `java.util.Enumeration<java.lang.String>` | `getParameterNames()` |
    `java.lang.String[]` | `getParameterValues​(java.lang.String name)` |
    `void` | `setCharacterEncoding​(java.lang.String enc)` | Ignores any attempt to set the character encoding, as it already has been set before the request content was parsed.

    - ### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

      `authenticate, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout`

    - ### Methods inherited from class javax.servlet.ServletRequestWrapper

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setRequest, startAsync, startAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, startAsync, startAsync`

- - ### Constructor Detail

    - #### ParametersServletRequestWrapper

          public ParametersServletRequestWrapper​(HttpServletRequest httpServletRequest)

  - ### Method Detail

    - #### getParameter

          public java.lang.String getParameter​(java.lang.String name)

      Specified by:
        `getParameter` in interface `ServletRequest`
      Overrides:
        `getParameter` in class `ServletRequestWrapper`

    - #### getParameterMap

          public java.util.Map<java.lang.String,​java.lang.String[]> getParameterMap()

      Specified by:
        `getParameterMap` in interface `ServletRequest`
      Overrides:
        `getParameterMap` in class `ServletRequestWrapper`

    - #### getParameterNames

          public java.util.Enumeration<java.lang.String> getParameterNames()

      Specified by:
        `getParameterNames` in interface `ServletRequest`
      Overrides:
        `getParameterNames` in class `ServletRequestWrapper`

    - #### getParameterValues

          public java.lang.String[] getParameterValues​(java.lang.String name)

      Specified by:
        `getParameterValues` in interface `ServletRequest`
      Overrides:
        `getParameterValues` in class `ServletRequestWrapper`

    - #### addParameter

          public void addParameter​(java.lang.String name,
                                   java.lang.String value)

    - #### setCharacterEncoding

          public void setCharacterEncoding​(java.lang.String enc)
                                    throws java.io.UnsupportedEncodingException

      Ignores any attempt to set the character encoding, as it already has been set before the request content was parsed.
      Specified by:
        `setCharacterEncoding` in interface `ServletRequest`
      Overrides:
        `setCharacterEncoding` in class `ServletRequestWrapper`
      Throws:
        `java.io.UnsupportedEncodingException`
      See Also:
        `TapestryHttpSymbolConstants.CHARSET`